- Home
- Download
- Contribute
- Support
- Cyrus SASL

# mkimap

A (small) Perl script to aid in creating spool and configuration directories for Cyrus IMAP installations.

## Synopsis

    mkimap config-file

## Description

The mkimap script reads in the configuration file specified on the command-line or uses `/etc/imapd.conf` to determine a list of directories that Cyrus IMAP would need to operate.

Among these directories are:

> - the `configdir` (from imapd.conf(5))
> - the `partition-$name` directories (from imapd.conf(5))
> - the `meta-partition-$name` directories (from imapd.conf(5))

Note

This utility needs to be executed as the user `cyrus` (or the user you run the Cyrus IMAP service as).

## Options

`config-file```

  Use the specified configuration file config-file rather than the default imapd.conf(5).

## Examples

    mkimap /etc/imapd.conf

> Create necessary directories based on settings in /etc/imapd.conf.

    reading configure file /etc/imapd.conf...
    i will configure directory /var/lib/imap.
    i saw partition /var/spool/cyrus/mail.
    i saw partition /var/spool/cyrus/news.
    done
    configuring /var/lib/imap...
    creating /var/spool/cyrus/mail...
    creating /var/spool/cyrus/news...
    done

## See Also